[#block]
== Class Template `block`

:idprefix: block_

`boost::bloom::block` -- A xref:subfilter[subfilter] over an integral type.

=== Synopsis

[listing,subs="+macros,+quotes"]
-----
// #include <boost/bloom/block.hpp>

namespace boost{
namespace bloom{

template<typename Block, std::size_t K>
struct block
{
  static constexpr std::size_t k = K;
  using value_type               = Block;

  // the rest of the interface is not public

} // namespace bloom
} // namespace boost
-----

=== Description

*Template Parameters*

[cols="1,4"]
|===

|`Block`
|An unsigned integral type or an array of 2^`N`^ elements of unsigned integral type.

|`K`
| Number of bits set/checked per operation. Must be greater than zero.

|===

'''